> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/extended-preauthorizations/list-extended-preauthorizations-card/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # List Extended Preauthorizations for a Card GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/cards/{CardId}/extended-preauthorizations Reference: https://docs.mangopay.com/api-reference/extended-preauthorizations/list-extended-preauthorizations-card ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `CardId` (string, required) ### Query parameters - `ResultCode` (string, optional) — The code indicating the result of the operation. You can filter on multiple values by separating them with a comma. - `Status` (string, optional) — **Allowed values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the transaction. You can filter on multiple values by separating them with a comma. - `PaymentStatus` (string, required) — **Allowed values:** `WAITING`, `CANCELED`, `CANCEL_REQUESTED`, `EXPIRED`, `VALIDATED`, `FAILED` The payment status of the extended preauthorization object: - `WAITING` – The extended preauthorization can be used: the preauthorized funds can be captured (if `Status` is `SUCCEEDED`) or the preauthorization can be canceled manually. - `CANCELED` – Value to pass to manually cancel the extended preauthorization before use; indicates that the extended preauthorization was canceled manually. - `CANCEL_REQUESTED` – The cancellation of the extended preauthorization has been requested but not yet processed. - `EXPIRED` – The hold period on the preauthorized funds has ended without it being used. - `VALIDATED` – Indicates that the preauthorized funds were captured. - `FAILED` – The pay-in against the preauthorization has failed, but a retry may be possible. ## Response ### 200 Success - `list of ExtendedPreauthorizationResponse` ## Types ### ExtendedPreauthorizationResponse ### CardExtendedPreauthorizationResponse Response if Extended Preauthorization's `PaymentType` is `CARD`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `ExpirationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the hold period ends and the preauthorized funds are released. At the expiration date, the extended preauthorization's `PaymentStatus` changes to `EXPIRED` if no captures were made. - `AuthorizationDate` (integer, optional) — Unix timestamp (UTC) of the date and time successful authorization occurred. If authorization failed, the value is `null`. - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. - `FlowDescriptor` (FlowDescriptorResponse, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `DebitedFunds` (CardExtendedPreauthorizationResponseDebitedFunds, optional) — Information about the preauthorized funds. - `Status` (string, optional) — **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the authorization. - `PaymentStatus` (string, optional) — **Returned values:** `WAITING`, `CANCELED`, `CANCEL_REQUESTED`, `EXPIRED`, `VALIDATED`, `FAILED` The payment status of the extended preauthorization object: - `WAITING` – The extended preauthorization can be used: the preauthorized funds can be captured (if `Status` is `SUCCEEDED`) or the preauthorization can be canceled manually. - `CANCELED` – Value to pass to manually cancel the extended preauthorization before use; indicates that the extended preauthorization was canceled manually. - `CANCEL_REQUESTED` – The cancellation of the extended preauthorization has been requested but not yet processed. - `EXPIRED` – The hold period on the preauthorized funds has ended without it being used. - `VALIDATED` – Indicates that the preauthorized funds were captured. - `FAILED` – The pay-in against the preauthorization has failed, but a retry may be possible. - `PayinsLinked` (CardExtendedPreauthorizationResponsePayinsLinked, optional) — Information about the extended preauthorized pay-ins made against the extended preauthorization. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `PaymentType` (string, optional) — **Returned values:** `CARD` The payment type of the preauthorization. - `ExecutionType` (string, optional) — **Returned values:** `DIRECT` The execution type of the preauthorization. - `StatementDescriptor` (string, optional) — Max. length: 22 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details. - `Culture` (string, optional) — **Returned values:** One of the supported languages in the [ISO 639-1 format](/api-reference/overview/data-formats): DE, EN, ES, FR, IT, NL, PL, PT. The language in which the payment page is to be displayed. - `Shipping` (Shipping_DefaultsBillingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CardId` (string, optional) — The unique identifier of the Card object, obtained during the card registration process. - `PreferredCardNetwork` (string, optional) — **Allowed values:** `VISA`, `MASTERCARD`, `CB`, `MAESTRO` The card network to use, as chosen by the cardholder, in case of co-branded cards. - `SecureModeReturnURL` (string, optional) — Max. length: 255 characters The URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the `SecureModeNeeded` parameter is set to `true`). - `SecureModeRedirectURL` (string, optional) — Max. length: 255 characters The URL to which to redirect the user to proceed to 3DS2 validation. - `SecureModeNeeded` (boolean, optional) — Whether or not the `SecureMode` was used. - `BrowserInfo` (BrowserInfo, optional) — Information about the browser used by the end user (author) to perform the payment. - `IpAddress` (string, optional) — The IP address of the end user initiating the transaction, in IPV4 or IPV6 format. - `Billing` (Billing_DefaultsShippingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `Requested3DSVersion` (string, optional) — **Returned values:** `V1`, `V2_1` The 3DS protocol version to be applied to the transaction. - `Applied3DSVersion` (string, optional) — **Returned values:** `V1`, `V2_1` The 3DS protocol version applied to the transaction. - `CardInfo` (CardInfo, optional) — Information about the card used for the transaction. If the information or data is not available, `null` is returned. - `AuthenticationResult` (AuthenticationResult, optional) — Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable). ### PayPalExtendedPreauthorizationResponse Response if Extended Preauthorization's `PaymentType` is `PAYPAL`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `ExpirationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the hold period ends and the preauthorized funds are released. At the expiration date, the extended preauthorization's `PaymentStatus` changes to `EXPIRED` if no captures were made. - `AuthorizationDate` (integer, optional) — Unix timestamp (UTC) of the date and time successful authorization occurred. If authorization failed, the value is `null`. - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. - `FlowDescriptor` (FlowDescriptorResponse, optional) — Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `DebitedFunds` (PayPalExtendedPreauthorizationResponseDebitedFunds, optional) — Information about the preauthorized funds. - `Status` (string, optional) — **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the authorization. - `PaymentStatus` (string, optional) — **Returned values:** `WAITING`, `CANCELED`, `CANCEL_REQUESTED`, `EXPIRED`, `VALIDATED`, `FAILED` The payment status of the extended preauthorization object: - `WAITING` – The extended preauthorization can be used: the preauthorized funds can be captured (if `Status` is `SUCCEEDED`) or the preauthorization can be canceled manually. - `CANCELED` – Value to pass to manually cancel the extended preauthorization before use; indicates that the extended preauthorization was canceled manually. - `CANCEL_REQUESTED` – The cancellation of the extended preauthorization has been requested but not yet processed. - `EXPIRED` – The hold period on the preauthorized funds has ended without it being used. - `VALIDATED` – Indicates that the preauthorized funds were captured. - `FAILED` – The pay-in against the preauthorization has failed, but a retry may be possible. - `PayinsLinked` (PayPalExtendedPreauthorizationResponsePayinsLinked, optional) — Information about the extended preauthorized pay-ins made against the extended preauthorization. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `PaymentType` (string, optional) — **Returned values:** `PAYPAL` The payment type of the preauthorization. - `ExecutionType` (string, optional) — **Returned values:** `WEB` The execution type of the preauthorization. - `StatementDescriptor` (string, optional) — Max. length: 10 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details. - `Shipping` (Shipping_DefaultsBillingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `ShippingPreference` (string, optional) — **Returned values:** `SET_PROVIDED_ADDRESS`, `GET_FROM_FILE`, `NO_SHIPPING` Information about the shipping address behavior on the PayPal payment page: - `SET_PROVIDED_ADDRESS` - The `Shipping` parameter becomes required and its values are displayed to the end user, who is not able to modify them. - `GET_FROM_FILE` – The `Shipping` parameter is ignored and the end user can choose from registered addresses. - `NO_SHIPPING` – No shipping address section is displayed. - `PaypalBuyerAccountEmail` (string, optional) — The email address registered on the PayPal account used to make the payment. - `Reference` (string, optional) — Max. length: 127 characters (truncated after) The platform's order reference for the transaction. - `CancelURL` (string, optional) — The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the `RedirectURL`. - `PaypalOrderID` (string, optional) — PayPal's unique identifier for the order. - `BuyerCountry` (string, optional) — The country of the buyer. - `BuyerFirstname` (string, optional) — The first name of the buyer. - `BuyerPhone` (string, optional) — The mobile phone number of the buyer. - `BuyerLastname` (string, optional) — The last name of the buyer. - `PaypalPayerID` (string, optional) — The PayPal identifier of the buyer. - `Trackings` (list of PayPalExtendedPreauthorizationResponseTrackingsItems, optional) — Shipping information of the `LineItems` added to the pay-in object. - `LineItems` (list of PayPalExtendedPreauthorizationResponseLineItemsItems, optional) — Information about the items purchased in the transaction. The total of all line items' `UnitAmount` and `TaxAmount` must equal the `DebitedFunds` amount (negative amounts not allowed). - `Culture` (string, optional) — **Returned values:** One of the supported languages in the [ISO 639-1 format](/api-reference/overview/data-formats): AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US. The language in which the PayPal payment page is to be displayed. - `Billing` (any, optional) — Returned `null` because the billing address is not applicable to PayPal preauth. - `RedirectURL` (string, optional) — The URL to which to redirect the user to complete the payment. **Caution:** This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it. - `ReturnURL` (string, optional) — Max. length: 255 characters The URL to which the user is returned after the payment, whether the transaction is successful or not. ### FlowDescriptorResponse Information about the Owner beneficiaries targeted by the pay-in and its subsequent transfers, who must all be KYC/KYB verified when the pay-in request is made ([read more](/guides/payin-beneficiaries)). If the `FlowDescriptor.Beneficiaries` is sent in the API request, then: - The transaction's `CreditedWalletId` holder is disregarded in KYC/KYB checks. - **ALL** `UserId` values in the array must be one of: - `OWNER` whose `KYCLevel` is `REGULAR` - `PLATFORM` The pay-in `Status` becomes `FAILED` with `ResultCode` [002951](/errors/codes/002951) if at least one `FlowDescriptor.Beneficiaries.UserId` is: - `PAYER` - `OWNER` whose `KYCLevel` is `LIGHT` If the `FlowDescriptor.Beneficiaries` is not sent in the API request, then the `CreditedWalletId` holder is subject to KYC/KYB checks. This property is optional for backwards compatibility but is recommended for all pay-in flows, even when the `CreditedWalletId` holder is a `PAYER` or the same value as one of the `FlowDescriptor.Beneficiaries`. - `FlowId` (string, optional) — Unique identifier of the payment flow, used by Mangopay for internal purposes. - `Beneficiaries` (list of FlowDescriptorResponseBeneficiariesItems, optional, nullable) — Max. length: 5 items The list of up to 5 Natural or Legal Users declared as beneficiaries of the pay-in, who must all be KYC/KYB verified when the pay-in request is made. The pay-in also fails if the `Beneficiaries` array contains nulled objects or invalid `UserId` values. ### CardExtendedPreauthorizationResponseDebitedFunds Information about the preauthorized funds. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CardExtendedPreauthorizationResponsePayinsLinked Information about the extended preauthorized pay-ins made against the extended preauthorization. - `PayinCaptureId` (string, optional) — The unique identifier of the preauthorized pay-in (capture) made against the extended preauthorization to debit the preauthorized funds. - `PayinComplementId` (string, optional) — This deprecated parameter is always returned `null`. ### Shipping_DefaultsBillingUser_Response **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address. - `FirstName` (string, optional) — The first name of the user. - `LastName` (string, optional) — The last name of the user. - `Address` (Address_SubPropsRequired, optional) — The postal address. ### BrowserInfo Information about the browser used by the end user (author) to perform the payment. - `AcceptHeader` (string, required) — The exact content of the HTTP accept headers as sent to the platform from the end user's browser. - `JavaEnabled` (boolean, required) — Whether or not the end user's browser has the ability to execute Java. - `Language` (string, required) — Format: Two-letter language code (ISO 639-1 alpha-2) followed by two-letter country code (ISO 3166-1 alpha-2), separated by a hyphen (example: `en-US`; pattern:`^[a-zA-Z]{2}(-[a-zA-Z]{2})?$`) The language of the browser. - `ColorDepth` (integer, required) — The value representing the depth of the screen's color palette for displaying images, in bits per pixel. - `ScreenHeight` (integer, required) — The height of the screen in pixels. - `ScreenWidth` (integer, required) — The width of the screen in pixels. - `TimeZoneOffset` (integer, required) — The difference in minutes between the browser's timezone and UTC. - `UserAgent` (string, required) — The exact content of the HTTP User-Agent header. - `JavascriptEnabled` (boolean, required) — Whether or not the end user's browser has the ability to execute JavaScript. ### Billing_DefaultsShippingUser_Response **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address. - `FirstName` (string, optional) — The first name of the user. - `LastName` (string, optional) — The last name of the user. - `Address` (Address, optional) — The postal address. ### CardInfo Information about the card used for the transaction. If the information or data is not available, `null` is returned. - `BIN` (string, optional) — The bank identification number (BIN) of the card. - `IssuingBank` (string, optional) — The name of the bank that issued the card. - `IssuerCountryCode` (string, optional) — The country code of the card issuer. - `Type` (string, optional) — The type of card (for example, `CREDIT` or `DEBIT`). - `SubType` (string, optional, nullable) — The sub-type of the card, if available. - `Brand` (string, optional) — The card brand (for example, `VISA` or `MASTERCARD`). ### AuthenticationResult Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable). - `AuthenticationType` (string, optional, nullable) — **Returned values:** `CHALLENGE`, `FRICTIONLESS`, `DIRECT_AUTHORIZATION` The type of authentication: - `CHALLENGE` – The issuer requested SCA to be enforced (for example, using 3DS). - `FRICTIONLESS` – The transaction was exempted from SCA because an exemption was granted by the issuer. - `DIRECT_AUTHORIZATION` – The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn't apply). A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received. A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received. ### PayPalExtendedPreauthorizationResponseDebitedFunds Information about the preauthorized funds. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### PayPalExtendedPreauthorizationResponsePayinsLinked Information about the extended preauthorized pay-ins made against the extended preauthorization. - `PayinCaptureId` (string, optional) — The unique identifier of the preauthorized pay-in (capture) made against the extended preauthorization to debit the preauthorized funds. - `PayinComplementId` (string, optional) — This deprecated parameter is always returned `null`. ### PayPalExtendedPreauthorizationResponseTrackingsItems - `TrackingNumber` (string, optional) — The shipment's tracking number provided by the carrier. - `Carrier` (string, optional) — The carrier for the shipment. Use the country-specific version of the carrier if it exists, otherwise use its global version. - `NotifyBuyer` (boolean, optional) — **Default value:** false If `true`, sends an email notification to the `PaypalBuyerAccountEmail` containing the `TrackingNumber` and `Carrier`, which allows the end user to track their shipment with the carrier. ### PayPalExtendedPreauthorizationResponseLineItemsItems - `Name` (string, optional) — The name of the item. - `Quantity` (integer, optional) — The quantity of the item. - `UnitAmount` (integer, optional) — The cost of the item, excluding tax. - `TaxAmount` (integer, optional) — The tax amount applied to the item. - `Description` (string, optional) — The platform's unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay `UserId` or the seller's business name or first name and last name. **Caution:** Failure to use a unique seller identifier may result in PayPal restricting your service. - `Category` (string, optional) — **Allowed values:** PHYSICAL_GOODS, DIGITAL_GOODS, DONATION The category of the item: - `PHYSICAL_GOODS` – Tangible items that can be physically shipped and received with proof of delivery upon arrival. - `DIGITAL_GOODS` – Products or services that are distributed and consumed via digital platforms or devices. - `DONATION` – Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized as `DONATION` within a single transaction, however it is not possible to combine `DONATION` other line item categories within the same transaction. - `Sku` (string, optional) — The SKU or reference for the item on your platform. - `Discount` (integer, optional) — The discount applied to the item, in the smallest currency sub-division. ### FlowDescriptorResponseBeneficiariesItems - `UserId` (string, optional) — The unique identifier of the Natural User or Legal User declared as a beneficiary of the pay-in. ### Address_SubPropsRequired The postal address. - `AddressLine1` (string, required) — The first line of the address. - `City` (string, required) — The city of the address. - `PostalCode` (string, required) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. - `AddressLine2` (string, optional) — The second line of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. ### Address The postal address. - `AddressLine1` (string, optional) — The first line of the address. - `AddressLine2` (string, optional) — The second line of the address. - `City` (string, optional) — The city of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. - `PostalCode` (string, optional) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ## Examples **Response** ```json [ { "Applied3DSVersion": null, "AuthorId": "204068024", "AuthorizationDate": 1696256388, "Billing": null, "BrowserInfo": null, "CardId": "204068248", "CardInfo": { "BIN": "497010", "Brand": "VISA", "IssuerCountryCode": "MA", "IssuingBank": "LA BANQUE POSTALE", "SubType": null, "Type": "CREDIT" }, "CreationDate": 1696256380, "Culture": null, "DebitedFunds": { "Amount": 22223, "Currency": "EUR" }, "ExecutionType": "DIRECT", "ExpirationDate": 1698848380, "Id": "ext_auth_wt_78e82d95-bf01-4633-84d9-f433e1130eba", "IpAddress": null, "PayinsLinked": { "PayinCaptureId": null, "PayinComplementId": null }, "PaymentStatus": "CANCELED", "PaymentType": "CARD", "PreferredCardNetwork": null, "Requested3DSVersion": null, "ResultCode": "000000", "ResultMessage": "Success", "SecureModeNeeded": null, "SecureModeRedirectURL": null, "SecureModeReturnURL": null, "Shipping": null, "StatementDescriptor": null, "Status": "SUCCEEDED", "Tag": "Created using Mangopay API Postman Collection" } ] ``` **SDK Code** ```python from pprint import pprint import mangopay mangopay.client_id='your-client-id' mangopay.apikey='your-api-key' from mangopay.api import APIRequest handler = APIRequest(sandbox=True) from mangopay.resources import ExtendedPreauthorization list_extended_preauthorizations_card = ExtendedPreauthorization.get_all_for_card('213944219') pprint(list_extended_preauthorizations_card) ``` ```javascript const mangopay = require('mangopay4-nodejs-sdk'); const api = new mangopay({ clientId: 'your-client-id', clientApiKey: 'your-api-key', baseUrl: 'https://api.sandbox.mangopay.com' }); api.ExtendedPreauthorizations.getAllForCard('card_m_01HY0MA4E2WQ0NRYQJP8X8SXMB', (data) => { console.log(data); }); ``` ```java import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.core.Pagination; import com.mangopay.entities.ExtendedPreauthorization; import java.util.List; public class ListExtendedPreauthorizationsForCard { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); var cardId = "card_m_01HY0MA4E2WQ0NRYQJP8X8SXMB"; List extendedPreauthorizations = mangopay.getExtendedPreauthorizationApi().getAllForCard(cardId, new Pagination(1, 10), null, null); Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(extendedPreauthorizations); System.out.println(prettyJson); } } ``` ```csharp using MangoPay.SDK; using MangoPay.SDK.Core; using MangoPay.SDK.Core.Enumerations; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var cardId = "card_m_01J3049JBA2XPA7GC7GEFJRQG4"; var filter = new FilterPreAuthorizations { PaymentStatus = PaymentStatus.WAITING }; var cardExtendedPreauthorizations = await api.ExtendedPreauthorizations.GetAllForCardAsync(cardId, filter, new Pagination(1, 50)); string prettyPrint = JsonConvert.SerializeObject(cardExtendedPreauthorizations, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $cardId = 'card_m_01J420XC7KAW655XPP12SC28HS'; $extendedPreauths = $api->ExtendedPreauthorizations->GetAllForCard($cardId); print_r($extendedPreauths); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby require 'mangopay' MangoPay.configure do |c| c.client_id = 'your-client-id' c.client_apiKey = 'your-api-key' end extended_preauthorizations = MangoPay::ExtendedPreauthorization.get_all_for_card('card_m_01HY0MA4E2WQ0NRYQJP8X8SXMB') pp extended_preauthorizations ```